/*
 *     top-sites.h -- google list of top one thousand sites
 *
 *      Copyright (c) 2011 Dave Raggett
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

#ifndef TOP_SITES_H
#define TOP_SITES_H

#ifndef __cplusplus

#ifndef WS_BOOL
#define WS_BOOL
typedef enum { false, true } bool;
#define null (void *)0
#endif

#endif

typedef struct {
  long int rank;
  char *domain;
  char *category;
  long int visitors;
  double percent;
  long int hits;
  bool ads;
} SiteDesc;


#define NUM_SITES 1000

extern SiteDesc top_sites[NUM_SITES];

#ifdef __cplusplus
}
#endif

#endif // TOP_SITES
